## javax.xml.rpc.holders
Class QNameHolder

    java.lang.Object
      javax.xml.rpc.holders.QNameHolder

All Implemented Interfaces:
  Holder

public final class QNameHolder
extends java.lang.Object
implements Holder

Holder for `QName`s.

Version:
  1.0

Field Summary
`QName` `value` The `QName` contained by this holder.

Constructor Summary
`QNameHolder()` Make a new `QNameHolder` with a `null` value.
`QNameHolder(QName value)` Make a new `QNameHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public QName value

  The `QName` contained by this holder.

Constructor Detail

### QNameHolder

    public QNameHolder()

  Make a new `QNameHolder` with a `null` value.

### QNameHolder

    public QNameHolder(QName value)

  Make a new `QNameHolder` with `value` as the value.

Parameters:
  `value` - the `QName` to hold

Copyright © 2005 Apache Web Services Project. All Rights Reserved.